Avaya Client Services API Reference (OS X)

- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

Instance Methods | Properties | List of all members
CSContactResolveContactsRequest Class Reference

Request object for resolve contact searches. More...

`#import <CSContactService.h>`

Inherits NSObject.

## Instance Methods
(instancetype) | - initWithSearches:scopeType:searchLocation:
| Designated initializer of CSContactResolveContactsRequest class. More...

## Properties
NSArray * | searches
| An array of CSContactSearchQueryWatcherPair objects. More...
CSContactResolveContactsScope | scopeType
| Scope for resolving contacts - search by number or handle. More...
CSContactSearchLocation | searchLocation
| Contact search type (local contacts and/or enterprise contacts). More...

## Detailed Description

Request object for resolve contact searches.

## Method Documentation

- (instancetype) initWithSearches: |  | (NSArray *) | searches
scopeType: |  | (CSContactResolveContactsScope) | scopeType
searchLocation: |  | (CSContactSearchLocation) | searchLocation

Designated initializer of CSContactResolveContactsRequest class.

Object can also be initialized with default init method, but in this case all properties must have been set manually before passing this object to resolveContact: method.

Parameters

  searches | An array of CSContactSearchQueryWatcherPair objects
  scopeType | Scope for resolving contacts
  searchLocation | Contact search location

## Property Documentation

- (CSContactResolveContactsScope) scopeType
| read write nonatomic assign

Scope for resolving contacts - search by number or handle.

- (NSArray*) searches
| read write nonatomic strong

An array of CSContactSearchQueryWatcherPair objects.

- (CSContactSearchLocation) searchLocation
| read write nonatomic assign

Contact search type (local contacts and/or enterprise contacts).

The documentation for this class was generated from the following file:

- CSContactService.h